local file2Category = {
--Sebbe Signalbrücken Signale
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp1.mdl"] = "HV69SigBruecke",
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp1_Vr0.mdl"] = "HV69SigBruecke",
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp1_Vr1.mdl"] = "HV69SigBruecke",
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp1_Vr2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp2_Vr0.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp2_Vr1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp2_Vr2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Ausfahrt_Hp2_Zs360.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Block_Hp1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp1_Vr0.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp1_Vr1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp1_Vr2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr0.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr0_Zs360.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr1_Zs360.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Einfahrt_Hp2_Vr2_Zs360.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Sbk_Hp1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Sbk_Hp1_Vr0.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Sbk_Hp1_Vr1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Sbk_Hp1_Vr2.mdl"] = "HV69SigBruecke",    
--Sebbe Signalbruecken Wegpunkte
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Vorsignal_Vr0.mdl"] = "HV69SigBruecke",
	["railroad/HV69-Signale/Signalbruecken/HV69SBr_Vorsignal_Vr1.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Vorsignal_Vr2.mdl"] = "HV69SigBruecke",
    ["railroad/HV69-Signale/Signalbruecken/HV69SBr_Vorsignal_Vr2_Zs3v60"] = "HV69SigBruecke",
}

function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "NONE",
		name = _("mod_name"),
		description = _("mod_desc"),
		tags = { "Script Mod" },
		authors = {
			{
				name = "Maverick",
				role = 'CREATOR',
			},
            {
				name = "Merk",
				role = 'SUPPORTER',
			},
		},
	},
	runFn = function (settings)
		addModifier("loadModel", function (fileName, data)
			if data.metadata and data.metadata.signal then
				if type(data.metadata.category) ~= "table" then
					data.metadata.category = {categories = {}}
				end
				local fileNameLocal = string.gsub(fileName, ".*/res/models/model/(.+[.]mdl)", "%1")
				
				data.metadata.category.categories[#data.metadata.category.categories+1] = file2Category[fileNameLocal]
			end
			
			return data
		end)

	end
}
end